Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::BehaviourScale Class Reference

Inherits Clutter::Behaviour.

Collaboration diagram for Clutter::BehaviourScale:
[legend]

List of all members.

## Public Member Functions
virtual | ~BehaviourScale ()
ClutterBehaviourScale* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBehaviourScale* | gobj () const
| Provides access to the underlying C GObject.
ClutterBehaviourScale* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_bounds (double x_scale_start, double y_scale_start, double x_scale_end, double y_scale_end)
| Sets the bounds used by scale behaviour.
void | get_bounds (double& x_scale_start, double& y_scale_start, double& x_scale_end, double& y_scale_end) const
| Retrieves the bounds used by scale behaviour.
Glib::PropertyProxy< double > | property_x_scale_start ()
| Initial scale on the X axis.
Glib::PropertyProxy_ReadOnly < double > | property_x_scale_start () const
| Initial scale on the X axis.
Glib::PropertyProxy< double > | property_x_scale_end ()
| Final scale on the X axis.
Glib::PropertyProxy_ReadOnly < double > | property_x_scale_end () const
| Final scale on the X axis.
Glib::PropertyProxy< double > | property_y_scale_start ()
| Initial scale on the Y axis.
Glib::PropertyProxy_ReadOnly < double > | property_y_scale_start () const
| Initial scale on the Y axis.
Glib::PropertyProxy< double > | property_y_scale_end ()
| Final scale on the Y axis.
Glib::PropertyProxy_ReadOnly < double > | property_y_scale_end () const
| Final scale on the Y axis.
## Static Public Member Functions
static Glib::RefPtr < BehaviourScale > | create (const Glib::RefPtr< Alpha >& alpha, double x_scale_start, double y_scale_start, double x_scale_end, double y_scale_end)
## Protected Member Functions
| BehaviourScale (const Glib::RefPtr< Alpha >& alpha, double x_scale_start, double y_scale_start, double x_scale_end, double y_scale_end)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Clutter::BehaviourScale > | wrap (ClutterBehaviourScale* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::BehaviourScale::~BehaviourScale | ( |  | ) | `[virtual]`

Clutter::BehaviourScale::BehaviourScale | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | double | x_scale_start,
|  | double | y_scale_start,
|  | double | x_scale_end,
|  | double | y_scale_end |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<BehaviourScale> Clutter::BehaviourScale::create | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | double | x_scale_start,
|  | double | y_scale_start,
|  | double | x_scale_end,
|  | double | y_scale_end |
| ) |  |  | `[static]`

void Clutter::BehaviourScale::get_bounds | ( | double & | x_scale_start,
|  | double & | y_scale_start,
|  | double & | x_scale_end,
|  | double & | y_scale_end |
| ) |  |  | const

Retrieves the bounds used by scale behaviour.

Since cluttermm 0.4:

Parameters:

  | x_scale_start | Return location for the initial scale factor on the X axis, or `0`.
  | y_scale_start | Return location for the initial scale factor on the Y axis, or `0`.
  | x_scale_end | Return location for the final scale factor on the X axis, or `0`.
  | y_scale_end | Return location for the final scale factor on the Y axis, or `0`.

ClutterBehaviourScale* Clutter::BehaviourScale::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

const ClutterBehaviourScale* Clutter::BehaviourScale::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

ClutterBehaviourScale* Clutter::BehaviourScale::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Behaviour.

Glib::PropertyProxy<double> Clutter::BehaviourScale::property_x_scale_end | ( |  | ) |

Final scale on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourScale::property_x_scale_end | ( |  | ) | const

Final scale on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourScale::property_x_scale_start | ( |  | ) | const

Initial scale on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourScale::property_x_scale_start | ( |  | ) |

Initial scale on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourScale::property_y_scale_end | ( |  | ) |

Final scale on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourScale::property_y_scale_end | ( |  | ) | const

Final scale on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourScale::property_y_scale_start | ( |  | ) | const

Initial scale on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourScale::property_y_scale_start | ( |  | ) |

Initial scale on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::BehaviourScale::set_bounds | ( | double | x_scale_start,
|  | double | y_scale_start,
|  | double | x_scale_end,
|  | double | y_scale_end |
| ) |  |  |

Sets the bounds used by scale behaviour.

Since cluttermm 0.6:

Parameters:

  | x_scale_start | Initial scale factor on the X axis.
  | y_scale_start | Initial scale factor on the Y axis.
  | x_scale_end | Final scale factor on the X axis.
  | y_scale_end | Final scale factor on the Y axis.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::BehaviourScale > wrap | ( | ClutterBehaviourScale * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/behaviour-scale.h